For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

Get market orderbook

GET
https://api.testnet.paradex.trade/v1/orderbook/:market
GET
/v1/orderbook/:market
$curl -X GET https://api.testnet.paradex.trade/v1/orderbook/{market} \
> -H 'Accept: application/json'
1{
2 "asks": [
3 [
4 "string"
5 ]
6 ],
7 "best_ask_api": [
8 "10.5"
9 ],
10 "best_ask_interactive": [
11 "10.5"
12 ],
13 "best_bid_api": [
14 "10.5"
15 ],
16 "best_bid_interactive": [
17 "10.5"
18 ],
19 "bids": [
20 [
21 "string"
22 ]
23 ],
24 "last_updated_at": 1681462770114,
25 "market": "ETH-USD-PERP",
26 "seq_no": 20784
27}
Get snapshot of the orderbook for the given market
Was this page helpful?
Previous

Get market impact price

Next
Built with

Path parameters

marketstringRequired

Market symbol - ex: BTC-USD-PERP

Query parameters

depthintegerOptionalDefaults to 20
Depth
price_tickstringOptional
Price tick for aggregation

Response

OK
askslist of lists of strings
List of Ask sizes and prices
best_ask_apilist of strings

Size on the best ask from API (excluding RPI)

best_ask_interactivelist of strings
Size on the best ask from UI
best_bid_apilist of strings

Size on the best bid from API (excluding RPI)

best_bid_interactivelist of strings
Size on the best bid from UI
bidslist of lists of strings
List of Bid sizes and prices
last_updated_atinteger
Last update to the orderbook in milliseconds
marketstring
Market name
seq_nointeger
Sequence number of the orderbook

Errors

400
Bad Request Error